Bug 131104 - No sar -d data for disks using cciss driver
No sar -d data for disks using cciss driver
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-27 11:29 EDT by Chris Williams
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-09 06:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Williams 2004-08-27 11:29:03 EDT
sar -d reports nothing when using cciss driver.

This is reported in Issue Tracker 41716. Neil Horman's patch fixes sar
-b but the customer is reporting no output when using sar -d. Opening
this bug per Neil's request as BZ123136 is getting unwieldy.
Comment 4 Stephen Tweedie 2004-09-21 09:51:50 EDT
"sar" gets its data from /proc/partitions, not /proc/stat.  Please
confirm whether or not the stats are maintained there.
Comment 5 Ernie Petrides 2004-09-21 21:23:21 EDT
I'm making the last comment non-private, since it is a request to
gather more info.  Chris, could you please follow up on this?
Comment 7 Chris Evich 2004-10-06 12:15:50 EDT
Here is a response to the above question from a customer issue that I
am working on:

I am seeing incorrect values reported by iostat for both cciss and
non-cciss devices.  Please escalate to senior support.  We use tools
for capacity planning/analysis that partly rely on iostat, and if we
are flagging disk utilization incorrectly, we will not be able to
properly identify servers that are overloaded. 
 
Re: BZ131104 - /proc/partitions has statistics for cciss devices, and
they seem to be updating correctly.  I too see the problem with sar -d
not reporting for cciss devices.  I cannot post to Bugzilla (the
policy of my company).  There is an open question on BZ131104 asking
if /proc/partitions has data for cciss.  Can you answer that question
on Bugzilla in the affirmative?  I'm not sure if the developers are
waiting on that answer.  Here is an example showing that data is there
for cciss devices:

[root@testvle6l root]# cat /proc/partitions 
major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect
wuse  
running use aveq 
 
   8     0       7680 sda 1 3 8 0 0 0 0 0 0 0 0 
   8    16   11011200 sdb 22 90 224 30 0 0 0 0 0 30 30 
   8    17    3911796 sdb1 13 55 136 0 0 0 0 0 0 0 0 
   8    32   11011200 sdc 43 177 440 50 0 0 0 0 0 50 50 
   8    33    5863693 sdc1 13 55 136 0 0 0 0 0 0 0 0 
   8    34     987997 sdc2 13 55 136 0 0 0 0 0 0 0 0 
   8    48       7680 sdd 1 3 8 0 0 0 0 0 0 0 0 
   8    64   11011200 sde 22 90 224 10 0 0 0 0 0 10 10 
   8    65    3911796 sde1 13 55 136 10 0 0 0 0 0 10 10 
   8    80   11011200 sdf 43 177 440 20 0 0 0 0 0 20 20 
   8    81    5863693 sdf1 13 55 136 0 0 0 0 0 0 0 0 
   8    82     987997 sdf2 13 55 136 20 0 0 0 0 0 20 20 
 104     0   35561280 cciss/c0d0 33801 387061 3361766 222260 53599
414508  
3746776 19270760 0 440170 19493010 
 104     1     130544 cciss/c0d0p1 33 80 226 100 22 18 80 3270 0 2020
3370 
 104     2    1048560 cciss/c0d0p2 2997 4451 59554 9780 18974 14287
267600  
411790 0 275260 421570 
 104     3   16776960 cciss/c0d0p3 24815 376591 3210594 191050 13835
387307  
3209120 18199380 0 107430 18390420 
 104     4          1 cciss/c0d0p4 0 0 0 0 0 0 0 0 0 0 0 
 104     5    4194224 cciss/c0d0p5 13 41 168 30 0 0 0 0 0 30 30 
 104     6    4194224 cciss/c0d0p6 858 3723 35994 4960 5959 4307 82160
144110  
0 72550 149070 
 104     7    4194224 cciss/c0d0p7 5006 1859 54266 16100 14747 8496
186584  
508860 0 312050 524960 
 104     8    2097104 cciss/c0d0p8 31 96 362 110 51 88 1128 2700 0
1480 2810 
 104     9    2097104 cciss/c0d0p9 23 97 306 80 11 5 104 650 0 730 730 
Comment 9 Charlie Bennett 2005-11-11 11:48:50 EST
This is fixed in the upstream version of sysstat.  I did the fixes myself.
Comment 10 Charlie Bennett 2006-02-15 20:06:13 EST
Can somebody close this as "UPSTREAM?"

Thanks
Comment 11 Ivana Varekova 2007-03-09 06:05:15 EST
For RHEL3 we're looking only for security and performance related bugs. I'm
closing this bug as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.